package com.chinaitop.depot.hardware.basics.model;

import java.util.Date;

public class TLedinfo {
    private String id;

    private String equipmentModel;

    private String workIp;

    private String portNumber;

    private String ipAddress;

    private Integer enableOrNot;

    private Date createTime;

    private Integer orgId;

    /**
     * LED基础信息设置表
     * @return id LED基础信息设置表
     */
    public String getId() {
        return id;
    }

    /**
     * LED基础信息设置表
     * @param id LED基础信息设置表
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 设备型号
     * @return equipment_model 设备型号
     */
    public String getEquipmentModel() {
        return equipmentModel;
    }

    /**
     * 设备型号
     * @param equipmentModel 设备型号
     */
    public void setEquipmentModel(String equipmentModel) {
        this.equipmentModel = equipmentModel == null ? null : equipmentModel.trim();
    }

    /**
     * 工作机IP
     * @return work_ip 工作机IP
     */
    public String getWorkIp() {
        return workIp;
    }

    /**
     * 工作机IP
     * @param workIp 工作机IP
     */
    public void setWorkIp(String workIp) {
        this.workIp = workIp == null ? null : workIp.trim();
    }

    /**
     * 端口号
     * @return port_number 端口号
     */
    public String getPortNumber() {
        return portNumber;
    }

    /**
     * 端口号
     * @param portNumber 端口号
     */
    public void setPortNumber(String portNumber) {
        this.portNumber = portNumber == null ? null : portNumber.trim();
    }

    /**
     * 设备IP地址
     * @return ip_address 设备IP地址
     */
    public String getIpAddress() {
        return ipAddress;
    }

    /**
     * 设备IP地址
     * @param ipAddress 设备IP地址
     */
    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress == null ? null : ipAddress.trim();
    }

    /**
     * 是否启用(0是1否)
     * @return enable_or_not 是否启用(0是1否)
     */
    public Integer getEnableOrNot() {
        return enableOrNot;
    }

    /**
     * 是否启用(0是1否)
     * @param enableOrNot 是否启用(0是1否)
     */
    public void setEnableOrNot(Integer enableOrNot) {
        this.enableOrNot = enableOrNot;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 
     * @return org_id 
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}