package com.chinaitop.depot.hardware.basics.mapper;

import com.chinaitop.depot.hardware.basics.model.TEnergyInfo;
import com.chinaitop.depot.hardware.basics.model.TEnergyInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TEnergyInfoMapper {
    int countByExample(TEnergyInfoExample example);

    int deleteByExample(TEnergyInfoExample example);

    int deleteByPrimaryKey(String id);

    int insert(TEnergyInfo record);

    int insertSelective(TEnergyInfo record);

    List<TEnergyInfo> selectByExample(TEnergyInfoExample example);

    TEnergyInfo selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TEnergyInfo record, @Param("example") TEnergyInfoExample example);

    int updateByExample(@Param("record") TEnergyInfo record, @Param("example") TEnergyInfoExample example);

    int updateByPrimaryKeySelective(TEnergyInfo record);

    int updateByPrimaryKey(TEnergyInfo record);

    List<TEnergyInfo> queryMeter(Map<String, Object> map);

    List<TEnergyInfo> queryDeviceList(Map<String, Object> map);

    TEnergyInfo validCode(Map<String, Object> map);
}